## NAME

r.in.miads - Converts a MIADS output ASCII text file into an GRASS raster import (r.in.ascii) formatted file.
(SCS GRASS Raster Program)

## SYNOPSIS

r.in.miads
r.in.miads help
r.in.miads input=name output=name strip=value line=value cell=value Northing=value Easting=value size=value

## DESCRIPTION

r.in.miads allows a user to create a r.in.ascii formatted ASCII file from a MIADS output printer format ASCII file.
The program will actively read the MIADS data file, selectively remove and process each strip, creating a individual r.in.ascii formatted file for each strip, and finally create one category file for all strips. The program also produces a report file summarizing all pertinent information for each strip.

The resulting r.in.ascii files for each strip are then used in conjunction with the GRASS commands r.in.ascii and r.patch to create a complete raster file.

## COMMAND LINE OPTIONS

### Parameters:

input=name
  MIADS input file name.
output=name
  GRASS raster data output file name.
strip=value
  MIADSs strip number of reference cell.
line=value
  MIADSs line number of reference cell.
cell=value
  MIADS cell number of reference cell.
Northing=value
  UTM Easting at the cell reference.
Easting=value
  UTM Northing at the cell reference.
size=value
  Cell size (length one side) in meters.

SCS has developed scripts run.miads, getstrip, and strip.99s. These scripts make the MIADS to GRASS conversion easier.

run.miads -

  SCS macro to perform the complete conversion of a MIADS printer format data set to a GRASS raster file.

  getstrip -

  Reads each MIADS strip file and converts it to a independent GRASS data file. Support may be run on any one of these strip files; however, there is no category information available. Each strip may be viewed at this time with d.rast or d.display.

  strip.99s -

  Special pre-r.in.miads macro that removes the 99's from the MIADS data file. This effectively removes border information, replacing it with "no data" values.

  ## SEE ALSO

  d.display, d.rast, r.in.ascii, r.patch, r.support

  ## AUTHOR

  r.in.miads - R.L.Glenn, USDA, SCS, NHQ-CGIS
  run.miads, strip.99s - Harold Kane, USDA, SCS, Oklahoma State Office

  Last changed: $Date: 2002/01/25 05:45:34 $